// DO NOT EDIT this file!
function trackEvents(thisCharacter, otherCharacter) {
	
	var thisCharacterId = thisCharacter.attr('id');
	var otherCharacterId = otherCharacter.attr('id');

	// hovering
	thisCharacter.mouseenter(function(){

		console.log(thisCharacterId,'mouseenter')
		
		thisCharacter.addClass('hover')
		// make sure we're starting at 0, start playing
		resetAudio( $('#audio-'+thisCharacterId+'.hover') );
		playAudio( $('#audio-'+thisCharacterId+'.hover') );

		otherCharacter.addClass('hover-response')
		// make sure we're starting at 0, start playing
		resetAudio( $('#audio-'+otherCharacterId+'.hover-response') );
		playAudio( $('#audio-'+otherCharacterId+'.hover-response') );

	}).mouseleave(function(){

		console.log(thisCharacterId,'mouseleave')
		
		thisCharacter.removeClass('hover')
		// stop playing, and make sure we start at 0 next time
		pauseAudio( $('#audio-'+thisCharacterId+'.hover') );
		resetAudio( $('#audio-'+thisCharacterId+'.hover') );

		otherCharacter.removeClass('hover-response')
		// stop playing, and make sure we start at 0 next time
		pauseAudio( $('#audio-'+otherCharacterId+'.hover-response') );
		resetAudio( $('#audio-'+otherCharacterId+'.hover-response') );

	});

	// clicking
	// note: clicking actually happens between mouseenter and mouseleave
	thisCharacter.mousedown(function(){

		console.log(thisCharacterId,'mousedown')

		thisCharacter.addClass('click')
		// pause hover audio
		pauseAudio( $('#audio-'+thisCharacterId+'.hover') );
		// make sure we're starting at 0, start playing
		resetAudio( $('#audio-'+thisCharacterId+'.click') );
		playAudio( $('#audio-'+thisCharacterId+'.click') );
		
		otherCharacter.addClass('click-response')
		// pause hover-response audio
		pauseAudio( $('#audio-'+otherCharacterId+'.hover-response') );
		// make sure we're starting at 0, start playing
		resetAudio( $('#audio-'+otherCharacterId+'.click-response') );
		playAudio( $('#audio-'+otherCharacterId+'.click-response') );

	}).mouseup(function(){

		console.log(thisCharacterId,'mouseup')
		
		thisCharacter.removeClass('click')
		// pause, reset so we always start at 0
		pauseAudio( $('#audio-'+thisCharacterId+'.click') );
		resetAudio( $('#audio-'+thisCharacterId+'.click') );
		// play hover audio
		playAudio( $('#audio-'+thisCharacterId+'.hover') );

		otherCharacter.removeClass('click-response')
		// pause, reset so we always start at 0
		pauseAudio( $('#audio-'+thisCharacterId+'.click-response') );
		resetAudio( $('#audio-'+thisCharacterId+'.click-response') );
		// play hover-response audio
		playAudio( $('#audio-'+thisCharacterId+'.hover-response') );

	});



}


function playAudio(audio) { audio[0].play(); }
function pauseAudio(audio) { audio[0].pause(); }
function resetAudio(audio) { audio[0].currentTime = 0; }









